Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PriorityBandedConnectionPolicy_var Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::PriorityBandedConnectionPolicy_var:

[legend]
Collaboration diagram for RTCORBA::PriorityBandedConnectionPolicy_var:

[legend]
List of all members.

## Public Methods
| PriorityBandedConnectionPolicy_var (void)
| PriorityBandedConnectionPolicy_var (PriorityBandedConnectionPolicy_ptr p)
| PriorityBandedConnectionPolicy_var (const PriorityBandedConnectionPolicy_var &)
| ~PriorityBandedConnectionPolicy_var (void)
PriorityBandedConnectionPolicy_var & | operator= (PriorityBandedConnectionPolicy_ptr)
PriorityBandedConnectionPolicy_var & | operator= (const PriorityBandedConnectionPolicy_var &)
PriorityBandedConnectionPolicy_ptr | operator-> (void) const
| operator const PriorityBandedConnectionPolicy_ptr & () const
| operator PriorityBandedConnectionPolicy_ptr & ()
PriorityBandedConnectionPolicy_ptr | in (void) const
PriorityBandedConnectionPolicy_ptr & | inout (void)
PriorityBandedConnectionPolicy_ptr & | out (void)
PriorityBandedConnectionPolicy_ptr | _retn (void)
PriorityBandedConnectionPolicy_ptr | ptr (void) const
## Static Public Methods
PriorityBandedConnectionPolicy_ptr | tao_duplicate (PriorityBandedConnectionPolicy_ptr)
void | tao_release (PriorityBandedConnectionPolicy_ptr)
PriorityBandedConnectionPolicy_ptr | tao_nil (void)
PriorityBandedConnectionPolicy_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| PriorityBandedConnectionPolicy_var (const TAO_Base_var &rhs)
PriorityBandedConnectionPolicy_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
PriorityBandedConnectionPolicy_ptr | ptr_

## Constructor & Destructor Documentation

RTCORBA::PriorityBandedConnectionPolicy_var::PriorityBandedConnectionPolicy_var | ( | void |  | ) |

RTCORBA::PriorityBandedConnectionPolicy_var::PriorityBandedConnectionPolicy_var | ( | PriorityBandedConnectionPolicy_ptr | p | ) | `[inline]`

RTCORBA::PriorityBandedConnectionPolicy_var::PriorityBandedConnectionPolicy_var | ( | const PriorityBandedConnectionPolicy_var & |  | ) |

RTCORBA::PriorityBandedConnectionPolicy_var::~PriorityBandedConnectionPolicy_var | ( | void |  | ) |

RTCORBA::PriorityBandedConnectionPolicy_var::PriorityBandedConnectionPolicy_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_var::_retn | ( | void |  | ) |

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_var::in | ( | void |  | ) | const

PriorityBandedConnectionPolicy_ptr& RTCORBA::PriorityBandedConnectionPolicy_var::inout | ( | void |  | ) |

RTCORBA::PriorityBandedConnectionPolicy_var::operator const PriorityBandedConnectionPolicy_ptr & | ( |  | ) | const

RTCORBA::PriorityBandedConnectionPolicy_var::operator PriorityBandedConnectionPolicy_ptr & | ( |  | ) |

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_var::operator-> | ( | void |  | ) | const

PriorityBandedConnectionPolicy_var& RTCORBA::PriorityBandedConnectionPolicy_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

PriorityBandedConnectionPolicy_var& RTCORBA::PriorityBandedConnectionPolicy_var::operator= | ( | const PriorityBandedConnectionPolicy_var & |  | ) |

RTCORBA::PriorityBandedConnectionPolicy_var & RTCORBA::PriorityBandedConnectionPolicy_var::operator= | ( | PriorityBandedConnectionPolicy_ptr | p | ) |

PriorityBandedConnectionPolicy_ptr& RTCORBA::PriorityBandedConnectionPolicy_var::out | ( | void |  | ) |

RTCORBA::PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_var::ptr | ( | void |  | ) | const

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_var::tao_duplicate | ( | PriorityBandedConnectionPolicy_ptr |  | ) | `[static]`

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_var::tao_nil | ( | void |  | ) | `[static]`

void RTCORBA::PriorityBandedConnectionPolicy_var::tao_release | ( | PriorityBandedConnectionPolicy_ptr |  | ) | `[static]`

CORBA::Object* RTCORBA::PriorityBandedConnectionPolicy_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp